org.apache.felix.service.command

## Interface Job

    public interface Job

### Nested Class Summary

Nested Classes
`static class` `Job.Status`
`static class` `Job.Utils`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `background()`
`CharSequence` `command()`
`void` `foreground()`
`int` `id()`
`void` `interrupt()`
`Job` `parent()`
`List<Process>` `processes()`
`Result` `result()`
`CommandSession` `session()`
`Job.Status` `status()`
`void` `suspend()`

### Method Detail

#### id

    int id()

#### command

    CharSequence command()

#### status

    Job.Status status()

#### suspend

    void suspend()

#### background

    void background()

#### foreground

    void foreground()

#### interrupt

    void interrupt()

#### result

    Result result()

#### processes

    List<Process> processes()

#### session

    CommandSession session()

#### parent

    Job parent()